// Analytische Geometrie
// Parameterdarstellung einer Gerade - mit "while"-Schleife
// WICHTIGER HINWEIS: Um mit dieser Datei zu arbeiten, muss sich die Datei
//                    anageo.inc im selben Ordner befinden wie diese
//                    POV-Ray-Datei oder im Include-Ordner von POV-Ray. 
//                    Kopieren Sie deshalb beide Dateien in denselben
//                    Ordner Ihrer Festplatte. 
// ------------------------------------------------------------------------------------
#version 3.5;                          // bentigte POV-Ray-Version
background { color rgb <1, 1, 1> }     // Hintergrundfarbe (wei)
#declare intervall = 3 ;              // Darstellungsbereich
#declare winkel =   -60 ;              // Winkel der Kamera zur x-Achse (in Grad)
#declare hoehe =   4 ;                 // Hhe der Kamera
#include "anageoR.inc"                 // Makropaket zu Vektoren, Koord-system, Ebenen usw.
// ------------------------------------------------------------------------------------
ks        
// ------------------------------------------------------------------------------------          
#declare a=<-2.5,1,-1.5>;
#declare P=<0.5,1,1.5>;

#declare Feinheit=100;

pluspunkt(P, schwarz)

vektoranpunkt(P, a, silbergrau) 

#declare i=-2*Feinheit;
  #while (i <= 2*Feinheit)
    punkt(P+ i * a/Feinheit blau_matt)
  #declare i=i+1;
  #end
                                 